Name:      org.tizen.home
Summary:   TV home application
Version: 0.2
Release: 1
Group: Applications/Core Applications
License: Apache-2.0
Source0:   %{name}-%{version}.tar.gz
Source1:   %{name}.service
Source2:   %{name}.path
Source3:   %{name}.manifest

BuildRequires: cmake
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(libgum)
BuildRequires: pkgconfig(app-utils)
BuildRequires: pkgconfig(pkgmgr-info)
BuildRequires: pkgconfig(tv-service)
BuildRequires: pkgconfig(ecore-wayland)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(capi-web-history)
BuildRequires: pkgconfig(bundle)
BuildRequires: edje-bin
BuildRequires: gettext-devel

%define _pkgdir /usr/apps/%{name}
%define _bindir %{_pkgdir}/bin
%define _resdir %{_pkgdir}/res
%define _datadir %{_pkgdir}/data
%define _imagedir %{_resdir}/images
%define _cfgdir %{_resdir}/config
%define _edjedir %{_resdir}/edje
%define _manifestdir /usr/share/packages
%define _sysuserdir /systemd/user
%define _servicedir /systemd/user/default.target.wants

%description
Application for providing user status and launching other applications

%prep
%setup -q
cp %{SOURCE3} .

%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_pkgdir} \
	-DPACKAGE_NAME=%{name} \
	-DBINDIR=%{_bindir} \
	-DEDJEDIR=%{_edjedir} \
	-DIMAGEDIR=%{_imagedir} \
	-DCFGDIR=%{_cfgdir} \
	-DMANIFESTDIR=%{_manifestdir} \
	-DVERSION=%{version}

make %{?jobs:-j%jobs}

%install
%make_install
install --directory %{buildroot}/%{_datadir}
install --directory %{buildroot}%{_prefix}/lib/%{_servicedir}
install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/%{_sysuserdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/%{_sysuserdir}
ln -sf ../%{name}.path %{buildroot}%{_prefix}/lib/%{_servicedir}

%posttrans
/usr/sbin/cyad -s -k MANIFESTS -c User::Pkg::org.tizen.home -u '*' -p http://tizen.org/privilege/internal/usermanagement -t ALLOW

%clean
rm -rf %{buildroot}

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_bindir}/*
%{_resdir}/*
%{_datadir}
%{_manifestdir}/%{name}.xml
%{_prefix}/lib/%{_sysuserdir}/%{name}.service
%{_prefix}/lib/%{_sysuserdir}/%{name}.path
%{_prefix}/lib/%{_servicedir}/%{name}.path
%{_datarootdir}/license/*

